@import url('https://fonts.googleapis.com/css2?family=Orbitron:wght@400..900&display=swap');
@import url('https://fonts.cdnfonts.com/css/typo-style-demo');
@import url('https://fonts.cdnfonts.com/css/br-segma');

 ::-webkit-scrollbar {
   display: none;
 }

 :root { --accent: #01c973;
  --bg: #0c0f1d; 
  --text: #ffffff;
  --card-bg: #04050a;
  --nav-bg: #1b1f3b;
  --transition: all 0.5s cubic-bezier(0.16, 1, 0.3, 1);
}

.dark-mode {
  --accent: #d14124;
  --bg: #ffffff;
  --text: #0c0f1d;
  --card-bg: #f5f5f7;
  --nav-bg: rgba(255, 255, 255, 0.7);
}

* { margin: 0; padding: 0; box-sizing: border-box;text-decoration: none;border: none;outline: none;resize: none; }
html {
  scrollbar-width: none; /* Firefox */
  -ms-overflow-style: none; /* IE/Edge */
}

html::-webkit-scrollbar {
  display: none; /* Chrome/Safari */
}
body { 
  /* font-family: 'SF Pro Display', -apple-system, sans-serif;  */
  background-color: var(--bg); 
  color: var(--text); 
  transition: var(--transition);
  margin: 0;
  padding: 0;
  font-family: poppins light;
}

h1, h2, h3 {
  font-family: Typo style Demo, sans-serif;
}

/* --- NAVIGATION --- */
.header {
  position: fixed; top: 0; width: 100%; z-index: 1000;
  padding: 10px 5%; display: flex; justify-content: space-between; align-items: center;
  background: var(--nav-bg); backdrop-filter: saturate(180%) blur(20px);
  border-bottom: 1px solid rgba(128,128,128,0.1);
}

.nav-menu { display: flex; gap: 40px; list-style: none; }
.nav-link { 
  text-decoration: none; color: var(--text); font-weight: 500; opacity: 0.6;
  font-size: 0.9rem; letter-spacing: 0.5px; transition: var(--transition);
}
.nav-link:hover, .nav-link.active { opacity: 1; color: var(--accent); }

/* --- HERO & CAROUSEL --- */
.hero { width:100%;height: 100vh; position: relative; display: flex; align-items: center; padding: 0 10%; z-index: 2;}
.hero-slider { position: absolute;top: 0;left: 0; inset: 0; z-index: -1;}
.slide { 
  position: absolute; inset: 0; background-size: cover; background-position: center;
  opacity: 0; transform: scale(1); transition: opacity 1.5s ease, transform 6s linear; 
}
.slide.active { opacity: 0.3; transform: scale(1); background: #080a12;}
.hero-text h1 { font-size: clamp(2rem, 10vw, 3rem); line-height: 0.9; margin-bottom: 20px;margin-top: 50px; color: var(--accent);}
.hero-text p { max-width: 500px; font-size: 1.1rem; margin-bottom: 40px; opacity: 0.8; color: var(--text);}

.cta-btn {
  padding: 18px 40px; background: var(--accent); color: white;
  text-decoration: none; border-radius: 50px; font-weight: 600;
  display: inline; position: 80%; transition: var(--transition);z-index: 3;margin-right: 10px;
}

.cta-btn:hover { transform: scale(1.05); filter: brightness(1.2); }

.about_viikali {width: 60%;margin: 100px auto;}
.about_viikali p {color: var(--text); font-weight: 500; opacity: 0.6}
.about_viikali h3{color: var(--accent);}

.p1 {width: 80%;margin: 30px auto;font-size: 1.3rem;}
.us h3 {
  font-size: 2.5rem;
}
/* --- BLOCS EXPERTISE --- */
.section { width: 80%; margin: 0 auto; padding: 120px;}
.grid-header { margin-bottom: 60px; }
.grid-header h2 { font-size: 3rem; margin-bottom: 20px;}
.grid-header p { max-width: 600px; font-size: 1rem; opacity: 0.7; }
button a {color: var(--bg)}

.flex-images {  
  display: flex; gap: 30px; margin-top: 50px; 
  flex-wrap: wrap; 
}
.img-box { 
  position: relative;
  flex: 1; min-width: 300px; height: 450px; 
  border-radius: 20px;
  overflow: hidden; 
}
.img-box img { width: 100%; height: 100%; object-fit: cover; transition: 1s cubic-bezier(0.16, 1, 0.3, 1);z-index: -1;}
/* .img-box:hover img { transform: scale(1.1); } */

.img-box .containt {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  padding: 20px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
  background: linear-gradient(transparent, var(--bg));
  border-radius: 10px;
  z-index: 2;
}

.img-box .containt .titre {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  padding: 20px 0;
}

.img-box .containt .titre img {
  width: 200px;
}

.img-box .containt button {
  background-color: #04050a5d;
}

.img-box .containt button a {
  color: aliceblue;
  font-weight: 800;
}

.img-box .containt .categorie h2 {
  background: var(--accent);
  color: var(--bg);
  padding: 5px;
  border-radius: 20px;
  box-shadow: 0 0 10px var(--bg);
  font-size: .8rem;
}                         

.img-box .containt .elts {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  gap: 10px;
}

.img-box .containt .elts h2 {
  color: var(--accent);  
  padding: 5px;  
  box-shadow: 0 0 5px transparent;  
  font-size: 1.5rem; 
  background: #0c0f1dbd;
  border-radius: 20px;
}

.img-box .containt .elts .p {
  font-size: 0.8rem;
}

.img-box .containt .elts .profil{  
  display: flex;
  gap: 6px;
  font-size: .8rem;   
  color: var(--text);                
}

.img-box .containt .elts .profil i{
  width: 1rem;
  height: 1rem;
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--accent);   
  font-size: .8rem;   
  border-radius: 10px;
  border: 1px solid var(--accent);                
}
.img-box .containt .elts .date {
  color: #414040;  
  font-size: .7rem;                    
}

/* --- CONTACT --- */
.contact-box {
  background: var(--card-bg); padding: 80px; border-radius: 40px;
  display: grid; grid-template-columns: 1fr 1fr; gap: 60px;
}
.contact-form input, .contact-form textarea {
  width: 100%; padding: 20px; background: var(--bg); border: none;
  border-radius: 15px; color: var(--text); margin-bottom: 15px;
  font-size: 1rem;
}
.submit-pro {
  width: 100%; padding: 20px; background: var(--text); color: var(--bg);
  border: none; border-radius: 15px; font-weight: 700; cursor: pointer;
}

/* --- FOOTER --- */
footer { padding: 80px 10% 40px; background: var(--bg); border-top: 1px solid rgba(128,128,128,0.1); }
.footer-wrap { display: flex; justify-content: space-between; align-items: flex-end; }
.social-circle {
  width: 50px; height: 50px; border-radius: 50%; border: 1px solid rgba(128,128,128,0.3);
  display: inline-flex; align-items: center; justify-content: center; margin-left: 10px;
  transition: var(--transition); text-decoration: none; color: var(--text);
}
.social-circle:hover { background: var(--accent); color: white; border-color: var(--accent); }

/* --- RESPONSIVE --- */
.menu-toggle { display: none; font-size: 1.5rem; cursor: pointer; }
@media (max-width: 900px) {
  .hero-text h1 span:nth-child(2) {
    font-size: 2rem;
  }
  .section { width: 90%; margin: 0 auto; padding: 100px 0; }
  .contact-box { grid-template-columns: 1fr; padding: 40px 20px; }
  .nav-menu { 
      position: fixed; top: 0; right: -100%; height: 100vh; width: 100%;
      background: var(--bg); flex-direction: column; justify-content: center;
      align-items: center; z-index: 999;
  }
  .nav-menu.active { right: 0; }
  .menu-toggle { display: block; z-index: 1100; }
  .hero-text h1 { font-size: 2.5rem; }
  .cta-btn {padding: 12px 20px; background: var(--accent); color: white;}
}

#theme-btn { cursor: pointer; font-size: 1.2rem; transition: 0.3s; }

/* ===========================================
=================== BLOG ==========================
================================================= */

/* ==================== MIDDLE ================================ */

.container-all-features {
    display: grid;
    grid-template-columns: auto 20vw;
    column-gap: 2rem;
    position: relative;
     width: 60%; 
    margin: 5rem auto;
}
 

 /* ------------------FEEDS --------------------- */
 .middle .feeds .feed {
    background: var(--card-bg);
    border-radius: 10px;
    padding: var(--card-padding);
    /* margin: 5rem 0; */
    font-size: 0.85rem;
    line-height: 1.5;
 }

 .middle .feeds {
    display: flex;
    flex-direction: column;
    gap: 1rem;
 }

 .middle .tamp h3 {
    color: var(--accent);
 }

  .middle .tamp h3 .fa{
     margin-right: 5px;
  }

 .middle .feed .head {
    display: flex;
    justify-content: space-between;
 }

 .middle .feed .photo {
    border-radius: 10px;
    overflow: hidden;
    margin: 0.7rem 0;
 }

 .middle .feed img{
   filter: saturate(0.99);
   transition: filter 500ms ease; 
   cursor: pointer;
 }

 .middle .feed img:hover{
   filter: saturate(1);
   transition: filter 500ms ease; 
 }

.middle .caption {
    font-size: 1.5rem;
    font-weight: 600;
}

.middle .caption a {
    color: var(--text);
    transition: .5s;
}

 .middle .caption a:hover {
    color: var(--accent);
    text-decoration: underline;
}

.middle .comments i {
    margin-right: 5px;
}

 /* ================== RIGHT ==================================== */


 .right {
    position: sticky;
    height: max-content;
    top: .1rem;
 }

 .right hr {
     border: 0;
     height: 1px;
     width: 100%;
     background: #222020;
     /*  */
 }

 .right .features {
    display: flex;
    flex-direction: column;
 }

  .right .features h3 {
    color: var(--accent);
 }

 .right .features .feat-flex {
    width: 100%;
    display: grid;
    grid-template-columns: 150px auto;
    gap: 10px;
    margin-top: 10px;
 }

 .right .features .feat-flex .photo {
    width: 100%;
    height: 110px;
    border: 4px solid var(--card-bg);
    border-radius: 4px;
    overflow: hidden;
 }

 .right .features .feat-flex .photo img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 4px;
 }

 .right .features .feat-flex .contents {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 5px;
 }

 .right .features .feat-flex .contents small {
    font-size: .6rem;
 }

  .right .features .feat-flex .contents p {
    /* To remain title in 2 lines */
     display: -webkit-box;
     -webkit-line-clamp: 2;
     -webkit-box-orient: vertical;
     overflow: hidden;
     font-size: 12px;
     color: var(--text);
     font-weight: 700;
 }

  .right .features .feat-flex .contents .autor {
    display: flex;
    flex-direction: column;
  }

  .right .lastest {
    margin-top: 20px;
  }

  .right .lastest .last-info {
    position: relative;
    margin-top: 10px;
    border-radius: 10px;
  }

  .right .lastest .last-info img {
    border-radius: 10px;
  }

   .right .lastest .last-info .contents {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(transparent, var(--color-black));
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    padding: 20px;
    border-radius: 10px;
  }

  .right .lastest h3 {
    margin-bottom: 10px;
    color: var(--accent);
  }

  .right .lastest .last-info img {
    width: 100%;
    height: 100%;
  }

  .right .lastest .last-info .contents .el {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 10px;
  }

  .right .lastest .last-info .contents .el p {
     /* To remain title in 2 lines */
     /* display: -webkit-box;
     -webkit-line-clamp: 2;
     -webkit-box-orient: vertical; */
    color: var(--color-white);
    font-weight: 600;
    font-size: .8rem;
  }

  .right .lastest .last-info .contents .autor {
    display: flex;
    flex-direction: column;
  }

    /* =====================================================
MEDIA QUERY FOR SMALL LAPTOP AND BIG TABLETS
 ========================================================*/

 @media screen and (min-width: 1200px){
    .menu-wrap {
       right: 20%;
   }
 }

 @media screen and (max-width: 1200px){
    .container{
        width: 96%;
    }

    .container-all-features {
        width: 96%;
        grid-template-columns: auto 30vw;
        gap: 1rem;
    }

     .right .lastest .last-info .contents .el p {
     -webkit-line-clamp: 4;
     font-size: 1.1rem;
  }
 }


 /* =====================================================
MEDIA QUERY FOR BIG TABLETS AND MOBILE PHONES
 ========================================================*/

  @media screen and (max-width: 992px) {
    nav .search-bar {
        display: none;
    }

    .container-all-features {
        grid-template-columns: auto 20rem;
    }

     .container-all-features .feat-flex small {
        font-size: 10px;
    }

    .right .lastest .last-info .contents p {
     -webkit-line-clamp: 4;
     font-size: 1rem;
  }

}

  /* =====================================================
MEDIA QUERY FOR SMALL TABLETS AND MOBILE PHONES
 ========================================================*/

  @media screen and (max-width: 820px) {
    .search {
        display: none;
    }

    .container-all-features {
        display: flex;
        flex-direction: column;
    }

    .right .all-ftrs {
       display: flex;
       /* grid-template-columns: repeat(2, 1fr); */
       flex-wrap: wrap;
       gap: 10px;
    }

    .right .all-ftrs .feat-flex {
       display: flex;
       flex-direction: column;
       flex: 15px;
       gap: 10px;
    }

      .right .all-ftrs .feat-flex .photo{
       height: 100%;
    }

     .right .lastest .last-info .contents p {
     -webkit-line-clamp: unset;
     font-size: 1.2rem;
  }

}

/* ========= TEAM =============== */

.container {
  width: 100%;
  height: 100vh;
  margin: 0 auto;
  padding: 60px;
  background: var(--card-bg);
  display: flex;
  flex-direction: column;
  justify-content: center;
  
}

.title {
  text-align: center;
  color: var(--text);
  font-size: 2.5rem;
  margin-bottom: 40px;
  text-shadow: 0 4px 10px rgba(0,0,0,0.3);
}

/* --- Equipe --- */
.glass-card {
  background: rgba(255, 255, 255, 0.1); 
  backdrop-filter: blur(15px); 
  -webkit-backdrop-filter: blur(15px);
  border: 1px solid rgba(255, 255, 255, 0.2); 
  border-radius: 25px;
  padding: 5px 20px 40px;
  margin-top: 10px;
  margin-bottom: 10px;
  text-align: center;
  color: var(--text);
  box-shadow: 0 10px 30px rgba(0, 0, 0, 0.2);
  transition: transform 0.3s ease;
}

.glass-card:hover {
  transform: translateY(-10px);
  background: rgba(255, 255, 255, 0.15);
}

.user-avatar {
  width: 150px;
  height: 150px;
  border-radius: 50%;
  margin: 0 auto 20px;
  background: rgba(255, 255, 255, 0.2);
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 3rem;
  border: 3px solid rgba(255, 255, 255, 0.5);
  overflow: hidden;
}

.user-avatar img {
  border-radius: 50%;
}

.glass-card h3 {
  font-size: 1rem;
  margin-bottom: 10px;
}

.glass-card p {
  font-size: 1rem;
  opacity: 0.8;
  font-weight: 300;
  color: var(--accent);
}

  /*  Swiper  */
  .swiper {
    width: 100%;
    height: 100%;
}

.swiper-slide {
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: bold;
    color: white;
    font-size: 20px;
}

.swiper-slide img {
    width: 100%;
    height: 100%;
    object-fit: cover; 
    /* Pour que l'image remplisse le bloc sans déformation */
    object-position: center;
}

/* Styles optionnels pour les flèches */
.swiper-button-next, .swiper-button-prev {
    color: #fff;
    transform: scale(0.3);
    z-index: 10;
}



